﻿using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

public partial class SaveForm: Form {
	public SaveForm()	{
		InitializeComponent();
    KeyPreview = true;
    KeyDown += SearchForm_KeyDown;
	}

  public SaveForm(IEnumerable values) : this() {
    search.Items = values;
  }

  private void SearchForm_KeyDown(object sender, KeyEventArgs e) {
    switch (e.KeyCode) {
      case Keys.Enter:
        DialogResult = DialogResult.OK;
        break;
      case Keys.Escape:
        DialogResult = DialogResult.Cancel;
        break;
    }
    if (e.KeyCode == Keys.Escape || e.KeyCode == Keys.Enter) {
      Close();
      e.Handled = true;
    }
  }

  private void buttonOK_Click(object sender, EventArgs e)
  {
      if (this.SelectedItem != null)
      {
          DialogResult = DialogResult.OK;
          Close();
      }
  }

  private void buttonCancel_Click(object sender, EventArgs e)
  {
      DialogResult = DialogResult.Cancel;
      Close();
  }

  private void searchresult_DoubleClick(object sender, EventArgs e)
  {
      if (this.SelectedItem != null)
      {
          DialogResult = DialogResult.OK;
          Close();
      }
  }

  public object SelectedItem { get { return search.result.SelectedItem; } }

  public string TextDescription { get { return this.textDescription.Text; } }

  public SearchControl.FormatDelegate Format { set { search.Format = value; } }

}
